Subject: Re: [PATCH v2] ssh signing: better error message when key not in agent

From: Junio C Hamano <[email-masked]>
Date: Wed, 25 Jan 2023 09:04:01 -0800

Adam Szkoda <[email-masked]> writes:

> On Tue, Jan 24, 2023 at 6:52 PM Junio C Hamano <[email-masked]> wrote:
>> > Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-git-1270/radicle-dev/maint-v2
>> > Pull-Request: https://github.com/git/git/pull/1270
>> >
>> > Range-diff vs v1:
>> >
>> >  1:  0ce06076242 < -:  ----------- ssh signing: better error message when key not in agent
>> >  -:  ----------- > 1:  03dfca79387 ssh signing: better error message when key not in agent
>>
>> This is a fairly useless range-diff.
>>
>> Even when a range-diff shows the differences in the patches,
>> mechanically generated range-diff can only show _what_ changed.  It
>> is helpful to explain the changes in your own words to highlight
>> _why_ such changes are done, and this place after the "---" line
>> and the diffstat we see below is the place to do so.
>>
>> Does GitGitGadget allow its users to describe the differences since
>> the previous iteration yourself?
>
> No, I don't think it does.   It got generated automatically without
> giving me an opportunity to edit.

Hmph.  

The text after "---" and before "Fetch-it-via:" does look like
something a human wrote.  The part often is byte-for-byte identical
duplicate of the proposed log message, but I think I have seen
patches via GitGitGadget that have different text there, and was
hoping perhaps the authors can use it to describe commentary for the
range-diff.

> Yep, removed.  It was largely accidental.
> ...
> Removed the superfluous {}.
>
> Thanks

Thanks.  Looking good.  Will queue and merge down to 'next'.